package tablesFor_test;

import com.ibm.ccl.soa.test.ctnative.runtime.datatable.*;
import com.ibm.ccl.soa.test.ctnative.runtime.event.*;
import com.ibm.ccl.soa.test.ctnative.runtime.utils.*;
import com.ibm.ccl.soa.test.ctnative.runtime.iterator.*;
import java.util.*;

import com.ibm.ccl.soa.test.common.models.value.ValueElement;
import com.ibm.wbit.comptest.controller.manipulator.impl.GetValueOverrides;
import com.ibm.wbit.comptest.controller.manipulator.impl.ConstructorOverrides;
import com.ibm.wbit.comptest.ct.soap.SoapWrapper;
import com.ibm.ccl.soa.test.ctnative.runtime.utils.PrimitiveObjectTypeCreator;
import com.ibm.ccl.soa.test.ctnative.runtime.datatable.DataSet;
import com.ibm.wbit.comptest.ctnative.runtime.utils.*;
import com.ibm.wbit.comptest.ct.soap.SoapValueWrapper;


/**
 *
 * Data Table: HealthcareErrorIdentificationTestSuite
 *
 */
@SuppressWarnings("all")
public class HealthcareErrorIdentificationTestSuite_DataTable extends DataTable {
  public HealthcareErrorIdentificationTestSuite_DataTable(String name) {
      super(name);                                      
  }
  
  
    // Test Case global identifier
    TC_Test_identifyError tcTest_identifyError = new TC_Test_identifyError("test_identifyError", this);

/**
 *
 * Test Case: test_identifyError
 *
 */
public class TC_Test_identifyError extends TestCaseData {
  public TC_Test_identifyError(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_InvalidTransactionCode tcInvalidTransactionCode = new DS_InvalidTransactionCode("InvalidTransactionCode", this);
/**
 * 
 * Data Set: InvalidTransactionCode
 *
 */
public class DS_InvalidTransactionCode extends DataSet {
   public DS_InvalidTransactionCode(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1256581071187_14216() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/HealthcareErrorIdentificationModuleWeb/sca/ErrorIdentificationPTExport",java.lang.String.class);

}String constructField_1256581071187_14216(Object parent) throws Exception{
return getField_1256581071187_14216();
}
public String createValue_1256581071187_14216() throws Exception{
String serviceAddress = constructField_1256581071187_14216(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1256581071187_14216();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public SoapWrapper request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public SoapWrapper createValue_1256581071187_14218() throws Exception{
ValueElement valModel = getDataSetValue().getValue();request = new SoapValueWrapper(valModel,constructorOverrides,fieldOverrides,this);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1256581071187_14218();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public SoapWrapper response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (com.ibm.wbit.comptest.ct.soap.SoapWrapper)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
}